summaryrefslogtreecommitdiffstats
path: root/libraries/VTK/README
blob: 12fc4ea2decc79edb95750b13e1f16794398e217 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
The Visualization Toolkit (VTK) is an open source, freely available software
system for 3D computer graphics, modeling, image processing, volume rendering,
scientific visualization and information visualization. VTK also includes
ancillary support for 3D interaction widgets, two and three-dimensional
annotation, and parallel computing. At its core VTK is implemented as a C++
toolkit, requiring users to build applications by combining various objects into
an application. The system also supports automated wrapping of the C++ core into
Python, Java and Tcl, so that VTK applications may also be written using these
interpreted programming languages.

Since version 8.1.0, VTK requires the qt5 package.

Version 8.2.0 is the last VTK suitable for Slackware version 14.2 due to the age
of some SL-14.2 support packages (ncluding, in particular, cmake).

Some optional additional packages, if detected during configuration, are used
in preference to versions provided in the source code. These packages, available
from SlackBuilds.org, are:
    jsoncpp proj

You can enable a number of optional features by passing variables to the script
(VAR=yes|no ./VTK.SlackBuild):

IMAGING=yes|no  (default: no)
MPI=yes|no      (default: no), requires openmpi
TK=yes|no       (default: yes)
VIEWS=yes|no    (default: no)
WEB=yes|no      (default: no), requires python-twisted
JAVA=yes|no     (default: no), requires jdk
PYTHON=yes|no   (default: yes)
QT=yes|no       (default: yes)

VTK is an optional dependency for the opencv SlackBuild. However since VTK-8.2.0,
it is not suitable as an optional dependency for opencv-legacy. The last suitable
version of VTK for building opencv-legacy is VTK-8.1.2.